from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNameContainer

@runtime_checkable
class XSpreadsheets(XNameContainer, Protocol):
    def insertNewByName(self, aName: str, nPosition: int) -> None: ...
    def moveByName(self, aName: str, nDestination: int) -> None: ...
    def copyByName(self, aName: str, aCopy: str, nDestination: int) -> None: ...
